
About
-----

SMS Platform provides a modular API for Drupal to interact with SMS messages.

The project bundles the following optional modules which improve integration
and add extra features.

SMS Actions
-----------

Provides an action for sending outgoing messages and the ability to define
custom triggers for incoming messages.

SMS Blast
---------

Allows bulk text messages to be sent to users.

SMS Devel
---------

Development and testing tools to assist developers and site builders working
with SMS Platform.

SMS Send to Phone
-----------------

Provides ways to share nodes via SMS.

SMS User
--------

Provides integration with Drupal users.

Gateways
--------

SMS gateways are provided by dedicated modules.

Installation
------------

 1. Install the SMS Platform module.
 2. Install the module for your gateway provider.
 3. Add an instance of your new gateway by going to Administration »
    Configuration » SMS Platform » Gateways. Then use the 'Add gateway' button.
 4. (optional) Configure entity phone numbers at Administration » Configuration
    » SMS Platform » Phone number settings. Then user the 'Add phone number
    settings' button. Typical scenarios add the 'User/User' bundle. This form
    requires, and provides the option to automatically add, a phone number field
    on the entity.

Optional Configuration
----------------------

SMS Platform automatically adds an improved token selection UI to SMS message
forms if the Token module (https://drupal.org/project/token) is installed.

Documentation
-------------

The `sms.api.php` file and `\Drupal\smsplatform\Event\SmsEvents` class contain
information about events which third parties can hook into. There are examples
of operation in the included test modules.

Support
-------

The following sites offer support for SMS Platform:

 * SMS Platform issue queue
   https://www.drupal.org/project/issues/smsplatform
 * Drupal Stack Exchange
   http://drupal.stackexchange.com

Testing
-------

Drupal core phpunit.xml.dist does not run unit tests located in submodules.
Navigate to the SMS Platform directory to run. Your commands should look
something like:

    # Run all unit tests, from SMS Platform directory:
    $ ../../vendor/bin/phpunit
    # Run a single test:
    $ ../../vendor/bin/phpunit --filter SmsPlatformQueueTest


## Maintainers

Current module maintainer:

- Mahyar SBT - [mahyarsbt](https://www.drupal.org/u/mahyarsbt)
