<?php

declare(strict_types=1);

namespace Drupal\smsplatform_user;

use Drupal\smsplatform\Message\SmsMessageInterface;

/**
 * Defines interface for the account registration service.
 */
interface AccountRegistrationInterface {

  /**
   * Process an incoming SMS to see if a new account should be created.
   *
   * @param \Drupal\smsplatform\Message\SmsMessageInterface $sms_message
   *   An incoming SMS message.
   */
  public function createAccount(SmsMessageInterface $sms_message);

}
