<?php

declare(strict_types=1);

namespace Drupal\smsplatform\Plugin\SmsGateway;

use Drupal\smsplatform\Event\SmsMessageEvent;

/**
 * Interface for gateways implementing an incoming event subscriber.
 */
interface SmsIncomingEventProcessorInterface {

  /**
   * Process a SMS message from this gateway.
   *
   * @param \Drupal\smsplatform\Event\SmsMessageEvent $event
   *   The event.
   */
  public function incomingEvent(SmsMessageEvent $event);

}
