<?php

declare(strict_types=1);

namespace Drupal\smsplatform\Views;

use Drupal\smsplatform\Plugin\views\field\SmsMessageDirection;
use Drupal\views\EntityViewsData;

/**
 * Provides views data for SMS message entities.
 */
class SmsMessageViewsData extends EntityViewsData {

  /**
   * {@inheritdoc}
   */
  public function getViewsData() {
    $data = parent::getViewsData();

    // Direction field.
    $data['smsplatform_message']['direction']['field']['id'] = SmsMessageDirection::PLUGIN_ID;

    // Recipient phone numbers.
    $data['sms__recipient_phone_number']['table']['join'] = [
      'smsplatform_message' => [
        'left_field' => 'id',
        'field' => 'entity_id',
      ],
    ];

    $data['sms__recipient_phone_number']['table']['group'] = $this->t('SMS Message');
    $data['sms__recipient_phone_number']['table']['provider'] = $this->entityType->getProvider();

    return $data;
  }

}
